import { OnInit, EventEmitter } from '@angular/core';
import { EwMaDesignService } from '../../../ew-ma-design.service';
export declare class CalendarSidebarComponent implements OnInit {
    designService: EwMaDesignService;
    /**
     * Current Preview Layout
     */
    currentPreviewLayout: string;
    /**
     * Font Familty options constant
     */
    fontFamilyOptions: any;
    /**
     * Mobile version of top margins
     */
    topMarginWebMobileBind: boolean;
    /**
     * Input
     * @param model
     */
    model: {
        focused: boolean;
        type: string;
        meta_data: any;
        sidebar_active: string;
    };
    environment: any;
    eventId: string;
    /**
     * Output
     * @param Event
     */
    onSidebarBackClick: EventEmitter<any>;
    callParentContainer: EventEmitter<any>;
    /**
     * constructor
     */
    constructor(designService: EwMaDesignService);
    /**
     * NgOnint hook
     */
    ngOnInit(): void;
    /**
     * Get the current value of Preview Layout style
     */
    ngDoCheck(): void;
    selectedGCalendarImage(image: any): void;
    removeGCalendarImage(): void;
    selectedOutlookCalendarImage(image: any): void;
    removeOutlookCalendarImage(): void;
    selectedYahooCalendarImage(image: any): void;
    removeYahooCalendarImage(): void;
    selectedICallCalendarImage(image: any): void;
    removeICallCalendarImage(): void;
    /**
     * @description
     * Show/hide Count Down box
     */
    toggleCheckbox(key: string): void;
    sidebarBack(type?: string): void;
    changeColorPicker(event?: any): void;
    changeColorPicker1(event?: any): void;
    isUndefined(val?: any): boolean;
    callElementContainer(data: any): void;
}
